#!/bin/bash

TEMPLATEDIR=$(cd $(dirname $0); pwd)
DEPLOYMENT_SUFFIX='.properties'

for xmlconfig in $*; do
    DEST=$(basename $xmlconfig .properties.xml)${DEPLOYMENT_SUFFIX}
    echo "Processing '$xmlconfig' to '$DEST'"
    xsltproc $TEMPLATEDIR/xml-config-to-properties.xsl $xmlconfig >$DEST
    LOG4JCONF=$(basename $xmlconfig .properties.xml).log-properties
    echo "Processing '$LOG4JCONF' to '$DEST'"
    echo -n 'log.FileName=' >>$DEST
    awk -F'[=\t ,]*' '/log4j.appender.file.fileName/ { print $2}' $LOG4JCONF >>$DEST
    echo -n 'log.Priority=' >>$DEST
    awk -F'[=\t ,]*' '/log4j.rootCategory/ { print $2}' $LOG4JCONF >>$DEST
done
